# SourcePath: libpng/20060404dev
Summary: PNG library
Name: sony-target-dev-libpng
%define pkgname %{sony_target_config}-dev-libpng
Version: 1.2.8
Release: 1
Source: libpng-1.2.8.tar.bz2
Source1: hhl-libpng-makefile
Patch0: libpng-splt-fix.patch 
Url: http://www.libpng.org/pub/png/libpng.html
License: Other
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
%define targetroot %{sony_cross_target_dir}
Prefix: %{sony_cross_target_dir}
BuildRequires: %{sony_target_config}-dev-zlib


%define _bindir         %{sony_cross_target_dir}%{sony_target_dev_bin_dir}
%define _incdir         %{sony_cross_target_dir}%{sony_target_dev_include_dir}
%define _libdir         %{sony_cross_target_dir}%{sony_target_dev_lib_dir}
%define _mandir         %{sony_cross_target_dir}%{sony_target_dev_man_dir}
%define _infodir        %{sony_cross_target_dir}%{sony_target_dev_info_dir}
# %define _datadir        %{sony_cross_target_dir}%{_hhl_target_sharedstate_dir}
%define _docdir         %{sony_cross_target_dir}%{sony_target_dev_doc_dir}


%description
libpng is a library implementing an interface for reading and writing
PNG (Portable Network Graphics) format files.

%package -n %{pkgname}
Summary: PNG library
Group: %{sony_group}

%description -n %{pkgname}
libpng is a library implementing an interface for reading and writing
PNG (Portable Network Graphics) format files.



### %package -n %{pkgname}-dev
### Summary: PNG library - development
### Group: %{sony_group}

### %description -n %{pkgname}-dev
### libpng is a library implementing an interface for reading and writing
### PNG (Portable Network Graphics) format files.

This package contains the static libraries and headers for development


%prep
# %target_check
%setup -n libpng-%{version} -q
%patch0 -p1

cp %{SOURCE1} makefile


%build
# PATH=%{sony_cross_bin_dir}:%{_hhl_host_bin_dir}:$PATH
%sony_target_dev_setup

# NOTE: can't use target_configure function because this
# software has no configure script whatsoever.

touch .depend

# export CC=%{sony_target_toolprefix}gcc
# export RANLIB=%{sony_target_toolprefix}ranlib
# export AR=%{sony_target_toolprefix}ar
# export CPP=%{sony_target_toolprefix}cpp
# export CXX=%{sony_target_toolprefix}g++
# export LD=%{sony_target_toolprefix}ld

export ZLIBLIB=%{sony_cross_target_dir}%{sony_target_dev_lib_dir}
export ZLIBINC=%{sony_cross_target_dir}%{sony_target_dev_include_dir}
export HHL_PREFIX=${RPM_BUILD_ROOT}%{sony_cross_target_dir}%{sony_target_dev_prefix}

make CFLAGS="-g -O2"


%install
# PATH=%{sony_cross_bin_dir}:%{_hhl_host_bin_dir}:$PATH
%sony_target_dev_setup

rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{sony_cross_target_dir}%{sony_target_dev_include_dir}
mkdir -p ${RPM_BUILD_ROOT}%{sony_cross_target_dir}%{sony_target_dev_lib_dir}

export HHL_PREFIX=${RPM_BUILD_ROOT}%{sony_cross_target_dir}%{sony_target_dev_prefix}

make install



%clean
rm -rf ${RPM_BUILD_ROOT}


%files -n %{pkgname}
%defattr(-,root,root)
%{_libdir}/libpng.so*
### %doc LICENSE


# %files -n %{pkgname}-dev
# %defattr(-,root,root)
%{_incdir}/png.h
%{_incdir}/pngconf.h
%{_libdir}/libpng.a
### %doc LICENSE


%changelog

* Tue Nov 28 2006 Sony Corporation
- update libpng version 1.2.8
- added splt-fix patch

* Wed Jul  6 2005 Sony Corporation - 1.2.6-2
- Change .so version.
- Add IDAT datastream bugfix patch.

* Fri Jul 01 2005 Sony Corporation - dev-libpng
- Initial build.
